"use strict";

require("core-js/modules/web.dom-collections.iterator.js");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _tests = require("../data/tests");

var _classes = require("../utils/classes");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const MonthItem = props => {
  const {
    title,
    index,
    classPrefix = null,
    isActive = false,
    onClick
  } = props;
  const classes = ['calendar__year-month'];

  if (isActive) {
    classes.push('calendar__year-month--active');
  }

  const CMonthItem = (0, _classes.getClasses)(classes, classPrefix);
  const handlerClick = React.useCallback(() => onClick(index), [onClick, index]);
  return /*#__PURE__*/React.createElement("div", {
    className: CMonthItem,
    "data-testid": _tests.testIds.monthItem,
    onClick: handlerClick
  }, title);
};

var _default = /*#__PURE__*/React.memo(MonthItem);

exports.default = _default;